Upstream information

CVE-2014-2270 at MITRE

Description

softmagic.c in file before 5.17 and libmagic allows context-dependent attackers to cause a denial of service (out-of-bounds memory access and crash) via crafted offsets in the softmagic of a PE executable.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 866750 [RESOLVED / FIXED], 883306 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • file >= 4.24-43.25.1
  • file-32bit >= 4.24-43.25.1
Patchnames:
sledsp3-file
SUSE Linux Enterprise Module for Web Scripting 12
  • apache2-mod_php5 >= 5.5.14-4.20
  • apache2-mod_php7 >= 7.0.7-15.1
  • php5 >= 5.5.14-4.20
  • php5-bcmath >= 5.5.14-4.20
  • php5-bz2 >= 5.5.14-4.20
  • php5-calendar >= 5.5.14-4.20
  • php5-ctype >= 5.5.14-4.20
  • php5-curl >= 5.5.14-4.20
  • php5-dba >= 5.5.14-4.20
  • php5-dom >= 5.5.14-4.20
  • php5-enchant >= 5.5.14-4.20
  • php5-exif >= 5.5.14-4.20
  • php5-fastcgi >= 5.5.14-4.20
  • php5-fileinfo >= 5.5.14-4.20
  • php5-fpm >= 5.5.14-4.20
  • php5-ftp >= 5.5.14-4.20
  • php5-gd >= 5.5.14-4.20
  • php5-gettext >= 5.5.14-4.20
  • php5-gmp >= 5.5.14-4.20
  • php5-iconv >= 5.5.14-4.20
  • php5-intl >= 5.5.14-4.20
  • php5-json >= 5.5.14-4.20
  • php5-ldap >= 5.5.14-4.20
  • php5-mbstring >= 5.5.14-4.20
  • php5-mcrypt >= 5.5.14-4.20
  • php5-mysql >= 5.5.14-4.20
  • php5-odbc >= 5.5.14-4.20
  • php5-openssl >= 5.5.14-4.20
  • php5-pcntl >= 5.5.14-4.20
  • php5-pdo >= 5.5.14-4.20
  • php5-pear >= 5.5.14-4.20
  • php5-pgsql >= 5.5.14-4.20
  • php5-pspell >= 5.5.14-4.20
  • php5-shmop >= 5.5.14-4.20
  • php5-snmp >= 5.5.14-4.20
  • php5-soap >= 5.5.14-4.20
  • php5-sockets >= 5.5.14-4.20
  • php5-sqlite >= 5.5.14-4.20
  • php5-suhosin >= 5.5.14-4.20
  • php5-sysvmsg >= 5.5.14-4.20
  • php5-sysvsem >= 5.5.14-4.20
  • php5-sysvshm >= 5.5.14-4.20
  • php5-tokenizer >= 5.5.14-4.20
  • php5-wddx >= 5.5.14-4.20
  • php5-xmlreader >= 5.5.14-4.20
  • php5-xmlrpc >= 5.5.14-4.20
  • php5-xmlwriter >= 5.5.14-4.20
  • php5-xsl >= 5.5.14-4.20
  • php5-zip >= 5.5.14-4.20
  • php5-zlib >= 5.5.14-4.20
  • php7 >= 7.0.7-15.1
  • php7-bcmath >= 7.0.7-15.1
  • php7-bz2 >= 7.0.7-15.1
  • php7-calendar >= 7.0.7-15.1
  • php7-ctype >= 7.0.7-15.1
  • php7-curl >= 7.0.7-15.1
  • php7-dba >= 7.0.7-15.1
  • php7-dom >= 7.0.7-15.1
  • php7-enchant >= 7.0.7-15.1
  • php7-exif >= 7.0.7-15.1
  • php7-fastcgi >= 7.0.7-15.1
  • php7-fileinfo >= 7.0.7-15.1
  • php7-fpm >= 7.0.7-15.1
  • php7-ftp >= 7.0.7-15.1
  • php7-gd >= 7.0.7-15.1
  • php7-gettext >= 7.0.7-15.1
  • php7-gmp >= 7.0.7-15.1
  • php7-iconv >= 7.0.7-15.1
  • php7-imap >= 7.0.7-15.1
  • php7-intl >= 7.0.7-15.1
  • php7-json >= 7.0.7-15.1
  • php7-ldap >= 7.0.7-15.1
  • php7-mbstring >= 7.0.7-15.1
  • php7-mcrypt >= 7.0.7-15.1
  • php7-mysql >= 7.0.7-15.1
  • php7-odbc >= 7.0.7-15.1
  • php7-opcache >= 7.0.7-15.1
  • php7-openssl >= 7.0.7-15.1
  • php7-pcntl >= 7.0.7-15.1
  • php7-pdo >= 7.0.7-15.1
  • php7-pear >= 7.0.7-15.1
  • php7-pear-Archive_Tar >= 7.0.7-15.1
  • php7-pgsql >= 7.0.7-15.1
  • php7-phar >= 7.0.7-15.1
  • php7-posix >= 7.0.7-15.1
  • php7-pspell >= 7.0.7-15.1
  • php7-shmop >= 7.0.7-15.1
  • php7-snmp >= 7.0.7-15.1
  • php7-soap >= 7.0.7-15.1
  • php7-sockets >= 7.0.7-15.1
  • php7-sqlite >= 7.0.7-15.1
  • php7-sysvmsg >= 7.0.7-15.1
  • php7-sysvsem >= 7.0.7-15.1
  • php7-sysvshm >= 7.0.7-15.1
  • php7-tokenizer >= 7.0.7-15.1
  • php7-wddx >= 7.0.7-15.1
  • php7-xmlreader >= 7.0.7-15.1
  • php7-xmlrpc >= 7.0.7-15.1
  • php7-xmlwriter >= 7.0.7-15.1
  • php7-xsl >= 7.0.7-15.1
  • php7-zip >= 7.0.7-15.1
  • php7-zlib >= 7.0.7-15.1
Patchnames:
SUSE Linux Enterprise Module for Web Scripting 12 GA apache2-mod_php5
SUSE Linux Enterprise Module for Web Scripting 12 GA apache2-mod_php7
SUSE Linux Enterprise Server 11 SP3
  • file >= 4.24-43.25.1
  • file-32bit >= 4.24-43.25.1
  • file-x86 >= 4.24-43.27.1
Patchnames:
slessp3-file
SUSE Linux Enterprise Server for VMWare 11 SP3
  • file >= 4.24-43.25.1
  • file-32bit >= 4.24-43.25.1
  • file-x86 >= 4.24-43.27.1
Patchnames:
slessp3-file
SUSE Linux Enterprise Software Development Kit 11 SP3
  • file-devel >= 4.24-43.25.1
  • python-magic >= 4.24-43.25.1
Patchnames:
sdksp3-file
SUSE Linux Enterprise Software Development Kit 12
  • php5-devel >= 5.5.14-4.20
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA php5-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • php5-devel >= 5.5.14-39.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA php5-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • php5-devel >= 5.5.14-73.1
  • php7-devel >= 7.0.7-15.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA php5-devel
SUSE Linux Enterprise Software Development Kit 12 SP2 GA php7-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • php5-devel >= 5.5.14-108.1
  • php7-devel >= 7.0.7-49.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA php5-devel
SUSE Linux Enterprise Software Development Kit 12 SP3 GA php7-devel
SUSE Linux Enterprise Software Development Kit 11 SP3
  • file-devel >= 4.24-43.25.1
  • python-magic >= 4.24-43.25.1
Builds
SAT Patch Nr: 9066
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • file >= 4.24-43.25.1
Builds
SAT Patch Nr: 9066
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • file >= 4.24-43.25.1
  • file-32bit >= 4.24-43.25.1
Builds
SAT Patch Nr: 9066
SUSE Linux Enterprise Server 11 SP3
  • file >= 4.24-43.25.1
  • file-x86 >= 4.24-43.25.1
Builds
SAT Patch Nr: 9066
openSUSE 12.3
  • file >= 5.11-12.16.1
  • file-debuginfo >= 5.11-12.16.1
  • file-debugsource >= 5.11-12.16.1
  • file-devel >= 5.11-12.16.1
  • libmagic-data >= 5.11-12.16.1
  • libmagic1 >= 5.11-12.16.1
  • libmagic1-32bit >= 5.11-12.16.1
  • libmagic1-debuginfo >= 5.11-12.16.1
  • libmagic1-debuginfo-32bit >= 5.11-12.16.1
  • python-magic >= 5.11-12.16.1
Patchnames:
openSUSE-2014-209
openSUSE-2014-255
openSUSE 13.1
  • file >= 5.15-4.20.1
  • file-debuginfo >= 5.15-4.20.1
  • file-debugsource >= 5.15-4.20.1
  • file-devel >= 5.15-4.20.1
  • file-magic >= 5.15-4.20.1
  • libmagic-data >= 5.11-12.16.1
  • libmagic1 >= 5.15-4.20.1
  • libmagic1-32bit >= 5.15-4.20.1
  • libmagic1-debuginfo >= 5.15-4.20.1
  • libmagic1-debuginfo-32bit >= 5.15-4.20.1
  • python-magic >= 5.15-4.20.1
Patchnames:
openSUSE-2014-209
openSUSE-2014-255
openSUSE Leap 42.1
  • apache2-mod_php5 >= 5.5.14-36.5
  • php5 >= 5.5.14-36.5
  • php5-bcmath >= 5.5.14-36.5
  • php5-bz2 >= 5.5.14-36.5
  • php5-calendar >= 5.5.14-36.5
  • php5-ctype >= 5.5.14-36.5
  • php5-curl >= 5.5.14-36.5
  • php5-dba >= 5.5.14-36.5
  • php5-devel >= 5.5.14-36.5
  • php5-dom >= 5.5.14-36.5
  • php5-exif >= 5.5.14-36.5
  • php5-fastcgi >= 5.5.14-36.5
  • php5-ftp >= 5.5.14-36.5
  • php5-gd >= 5.5.14-36.5
  • php5-gettext >= 5.5.14-36.5
  • php5-gmp >= 5.5.14-36.5
  • php5-iconv >= 5.5.14-36.5
  • php5-imap >= 5.5.14-36.5
  • php5-json >= 5.5.14-36.5
  • php5-ldap >= 5.5.14-36.5
  • php5-mbstring >= 5.5.14-36.5
  • php5-mcrypt >= 5.5.14-36.5
  • php5-mysql >= 5.5.14-36.5
  • php5-odbc >= 5.5.14-36.5
  • php5-openssl >= 5.5.14-36.5
  • php5-pdo >= 5.5.14-36.5
  • php5-pear >= 5.5.14-36.5
  • php5-pgsql >= 5.5.14-36.5
  • php5-shmop >= 5.5.14-36.5
  • php5-snmp >= 5.5.14-36.5
  • php5-sockets >= 5.5.14-36.5
  • php5-sqlite >= 5.5.14-36.5
  • php5-suhosin >= 5.5.14-36.5
  • php5-sysvsem >= 5.5.14-36.5
  • php5-sysvshm >= 5.5.14-36.5
  • php5-tidy >= 5.5.14-36.5
  • php5-tokenizer >= 5.5.14-36.5
  • php5-wddx >= 5.5.14-36.5
  • php5-xmlreader >= 5.5.14-36.5
  • php5-xmlwriter >= 5.5.14-36.5
  • php5-xsl >= 5.5.14-36.5
  • php5-zip >= 5.5.14-36.5
  • php5-zlib >= 5.5.14-36.5
Patchnames:
openSUSE Leap 42.1 GA apache2-mod_php5
openSUSE Leap 42.2
  • apache2-mod_php5 >= 5.5.14-63.1
  • php5 >= 5.5.14-63.1
  • php5-bcmath >= 5.5.14-63.1
  • php5-bz2 >= 5.5.14-63.1
  • php5-calendar >= 5.5.14-63.1
  • php5-ctype >= 5.5.14-63.1
  • php5-curl >= 5.5.14-63.1
  • php5-dba >= 5.5.14-63.1
  • php5-devel >= 5.5.14-63.1
  • php5-dom >= 5.5.14-63.1
  • php5-exif >= 5.5.14-63.1
  • php5-fastcgi >= 5.5.14-63.1
  • php5-ftp >= 5.5.14-63.1
  • php5-gd >= 5.5.14-63.1
  • php5-gettext >= 5.5.14-63.1
  • php5-gmp >= 5.5.14-63.1
  • php5-iconv >= 5.5.14-63.1
  • php5-imap >= 5.5.14-63.1
  • php5-json >= 5.5.14-63.1
  • php5-ldap >= 5.5.14-63.1
  • php5-mbstring >= 5.5.14-63.1
  • php5-mcrypt >= 5.5.14-63.1
  • php5-mysql >= 5.5.14-63.1
  • php5-odbc >= 5.5.14-63.1
  • php5-openssl >= 5.5.14-63.1
  • php5-pdo >= 5.5.14-63.1
  • php5-pear >= 5.5.14-63.1
  • php5-pgsql >= 5.5.14-63.1
  • php5-shmop >= 5.5.14-63.1
  • php5-snmp >= 5.5.14-63.1
  • php5-sockets >= 5.5.14-63.1
  • php5-sqlite >= 5.5.14-63.1
  • php5-suhosin >= 5.5.14-63.1
  • php5-sysvsem >= 5.5.14-63.1
  • php5-sysvshm >= 5.5.14-63.1
  • php5-tidy >= 5.5.14-63.1
  • php5-tokenizer >= 5.5.14-63.1
  • php5-wddx >= 5.5.14-63.1
  • php5-xmlreader >= 5.5.14-63.1
  • php5-xmlwriter >= 5.5.14-63.1
  • php5-xsl >= 5.5.14-63.1
  • php5-zip >= 5.5.14-63.1
  • php5-zlib >= 5.5.14-63.1
Patchnames:
openSUSE Leap 42.2 GA apache2-mod_php5
openSUSE Leap 42.3
  • apache2-mod_php5 >= 5.5.14-80.2
  • php5 >= 5.5.14-80.2
  • php5-bcmath >= 5.5.14-80.2
  • php5-bz2 >= 5.5.14-80.2
  • php5-calendar >= 5.5.14-80.2
  • php5-ctype >= 5.5.14-80.2
  • php5-curl >= 5.5.14-80.2
  • php5-dba >= 5.5.14-80.2
  • php5-devel >= 5.5.14-80.2
  • php5-dom >= 5.5.14-80.2
  • php5-exif >= 5.5.14-80.2
  • php5-fastcgi >= 5.5.14-80.2
  • php5-ftp >= 5.5.14-80.2
  • php5-gd >= 5.5.14-80.2
  • php5-gettext >= 5.5.14-80.2
  • php5-gmp >= 5.5.14-80.2
  • php5-iconv >= 5.5.14-80.2
  • php5-imap >= 5.5.14-80.2
  • php5-json >= 5.5.14-80.2
  • php5-ldap >= 5.5.14-80.2
  • php5-mbstring >= 5.5.14-80.2
  • php5-mcrypt >= 5.5.14-80.2
  • php5-mysql >= 5.5.14-80.2
  • php5-odbc >= 5.5.14-80.2
  • php5-openssl >= 5.5.14-80.2
  • php5-pdo >= 5.5.14-80.2
  • php5-pear >= 5.5.14-80.2
  • php5-pgsql >= 5.5.14-80.2
  • php5-shmop >= 5.5.14-80.2
  • php5-snmp >= 5.5.14-80.2
  • php5-sockets >= 5.5.14-80.2
  • php5-sqlite >= 5.5.14-80.2
  • php5-suhosin >= 5.5.14-80.2
  • php5-sysvsem >= 5.5.14-80.2
  • php5-sysvshm >= 5.5.14-80.2
  • php5-tidy >= 5.5.14-80.2
  • php5-tokenizer >= 5.5.14-80.2
  • php5-wddx >= 5.5.14-80.2
  • php5-xmlreader >= 5.5.14-80.2
  • php5-xmlwriter >= 5.5.14-80.2
  • php5-xsl >= 5.5.14-80.2
  • php5-zip >= 5.5.14-80.2
  • php5-zlib >= 5.5.14-80.2
Patchnames:
openSUSE Leap 42.3 GA apache2-mod_php5
openSUSE Tumbleweed
  • apache2-mod_php5 >= 5.6.28-1.1
  • apache2-mod_php7 >= 7.0.14-1.4
  • php5 >= 5.6.28-1.1
  • php5-bcmath >= 5.6.28-1.1
  • php5-bz2 >= 5.6.28-1.1
  • php5-calendar >= 5.6.28-1.1
  • php5-ctype >= 5.6.28-1.1
  • php5-curl >= 5.6.28-1.1
  • php5-dba >= 5.6.28-1.1
  • php5-devel >= 5.6.28-1.1
  • php5-dom >= 5.6.28-1.1
  • php5-enchant >= 5.6.28-1.1
  • php5-exif >= 5.6.28-1.1
  • php5-fastcgi >= 5.6.28-1.1
  • php5-fileinfo >= 5.6.28-1.1
  • php5-firebird >= 5.6.28-1.1
  • php5-fpm >= 5.6.28-1.1
  • php5-ftp >= 5.6.28-1.1
  • php5-gd >= 5.6.28-1.1
  • php5-gettext >= 5.6.28-1.1
  • php5-gmp >= 5.6.28-1.1
  • php5-iconv >= 5.6.28-1.1
  • php5-imap >= 5.6.28-1.1
  • php5-intl >= 5.6.28-1.1
  • php5-json >= 5.6.28-1.1
  • php5-ldap >= 5.6.28-1.1
  • php5-mbstring >= 5.6.28-1.1
  • php5-mcrypt >= 5.6.28-1.1
  • php5-mssql >= 5.6.28-1.1
  • php5-mysql >= 5.6.28-1.1
  • php5-odbc >= 5.6.28-1.1
  • php5-opcache >= 5.6.28-1.1
  • php5-openssl >= 5.6.28-1.1
  • php5-pcntl >= 5.6.28-1.1
  • php5-pdo >= 5.6.28-1.1
  • php5-pear >= 5.6.28-1.1
  • php5-pear-Archive_Tar >= 5.6.28-1.1
  • php5-pgsql >= 5.6.28-1.1
  • php5-phar >= 5.6.28-1.1
  • php5-posix >= 5.6.28-1.1
  • php5-pspell >= 5.6.28-1.1
  • php5-readline >= 5.6.28-1.1
  • php5-shmop >= 5.6.28-1.1
  • php5-snmp >= 5.6.28-1.1
  • php5-soap >= 5.6.28-1.1
  • php5-sockets >= 5.6.28-1.1
  • php5-sqlite >= 5.6.28-1.1
  • php5-suhosin >= 5.6.28-1.1
  • php5-sysvmsg >= 5.6.28-1.1
  • php5-sysvsem >= 5.6.28-1.1
  • php5-sysvshm >= 5.6.28-1.1
  • php5-tidy >= 5.6.28-1.1
  • php5-tokenizer >= 5.6.28-1.1
  • php5-wddx >= 5.6.28-1.1
  • php5-xmlreader >= 5.6.28-1.1
  • php5-xmlrpc >= 5.6.28-1.1
  • php5-xmlwriter >= 5.6.28-1.1
  • php5-xsl >= 5.6.28-1.1
  • php5-zip >= 5.6.28-1.1
  • php5-zlib >= 5.6.28-1.1
  • php7 >= 7.0.14-1.4
  • php7-bcmath >= 7.0.14-1.4
  • php7-bz2 >= 7.0.14-1.4
  • php7-calendar >= 7.0.14-1.4
  • php7-ctype >= 7.0.14-1.4
  • php7-curl >= 7.0.14-1.4
  • php7-dba >= 7.0.14-1.4
  • php7-devel >= 7.0.14-1.4
  • php7-dom >= 7.0.14-1.4
  • php7-enchant >= 7.0.14-1.4
  • php7-exif >= 7.0.14-1.4
  • php7-fastcgi >= 7.0.14-1.4
  • php7-fileinfo >= 7.0.14-1.4
  • php7-firebird >= 7.0.14-1.4
  • php7-fpm >= 7.0.14-1.4
  • php7-ftp >= 7.0.14-1.4
  • php7-gd >= 7.0.14-1.4
  • php7-gettext >= 7.0.14-1.4
  • php7-gmp >= 7.0.14-1.4
  • php7-iconv >= 7.0.14-1.4
  • php7-imap >= 7.0.14-1.4
  • php7-intl >= 7.0.14-1.4
  • php7-json >= 7.0.14-1.4
  • php7-ldap >= 7.0.14-1.4
  • php7-mbstring >= 7.0.14-1.4
  • php7-mcrypt >= 7.0.14-1.4
  • php7-mysql >= 7.0.14-1.4
  • php7-odbc >= 7.0.14-1.4
  • php7-opcache >= 7.0.14-1.4
  • php7-openssl >= 7.0.14-1.4
  • php7-pcntl >= 7.0.14-1.4
  • php7-pdo >= 7.0.14-1.4
  • php7-pear >= 7.0.14-1.4
  • php7-pear-Archive_Tar >= 7.0.14-1.4
  • php7-pgsql >= 7.0.14-1.4
  • php7-phar >= 7.0.14-1.4
  • php7-posix >= 7.0.14-1.4
  • php7-pspell >= 7.0.14-1.4
  • php7-readline >= 7.0.14-1.4
  • php7-shmop >= 7.0.14-1.4
  • php7-snmp >= 7.0.14-1.4
  • php7-soap >= 7.0.14-1.4
  • php7-sockets >= 7.0.14-1.4
  • php7-sqlite >= 7.0.14-1.4
  • php7-sysvmsg >= 7.0.14-1.4
  • php7-sysvsem >= 7.0.14-1.4
  • php7-sysvshm >= 7.0.14-1.4
  • php7-tidy >= 7.0.14-1.4
  • php7-tokenizer >= 7.0.14-1.4
  • php7-wddx >= 7.0.14-1.4
  • php7-xmlreader >= 7.0.14-1.4
  • php7-xmlrpc >= 7.0.14-1.4
  • php7-xmlwriter >= 7.0.14-1.4
  • php7-xsl >= 7.0.14-1.4
  • php7-zip >= 7.0.14-1.4
  • php7-zlib >= 7.0.14-1.4
Patchnames:
openSUSE Tumbleweed GA apache2-mod_php5
openSUSE Tumbleweed GA apache2-mod_php7


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 file Released
SUSE Linux Enterprise Desktop 11 SP1 file Released
SUSE Linux Enterprise Desktop 11 SP3 file Released
SUSE Linux Enterprise SDK 11 SP1 file Released
SUSE Linux Enterprise SDK 11 SP3 file Released
SUSE Linux Enterprise Server 10 SP3 file Released
SUSE Linux Enterprise Server 11 SP1 file Released
SUSE Linux Enterprise Server 11 SP1 LTSS file Released
SUSE Linux Enterprise Server 11 SP3 file Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 file Released